> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge Events

> Delete Events by eventId. If a event is deleted it will not redelivered with the next GET /channel/event call



## OpenAPI

````yaml /openapi/scx/seller.json delete /v1/seller/event
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/event:
    delete:
      tags:
        - Events
      summary: Acknowledge Events
      description: >-
        Delete Events by eventId. If a event is deleted it will not redelivered
        with the next GET /channel/event call
      operationId: AcknowledgeSellerEvents
      requestBody:
        $ref: '#/components/requestBodies/AcknowledgeEventIdListRequest'
      responses:
        '204':
          $ref: '#/components/responses/NoContent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    AcknowledgeEventIdListRequest:
      description: >-
        List of event IDs the seller has successfully processed and which should
        be marked as acknowledged.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EventIdList'
  responses:
    NoContent:
      description: No Content
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    EventIdList:
      type: object
      properties:
        eventIdList:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
            example: 5cde84164d811d00144581f8
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````